Page MenuHomePhabricator

Add more Wikibase extensions to gatedextensions
Open, HighPublic

Description

From T204065, WikibaseLexeme got broken by a mediawiki/core change because it is not in the gate of extensions :\

@Addshore wrote:

It could be a good idea to add WikibaseLexeme to the list of gated extensions for core

Event Timeline

hashar created this task.Sep 12 2018, 7:29 PM
hashar triaged this task as High priority.

Change 459991 had a related patch set uploaded (by Hashar; owner: Addshore):
[integration/config@master] Add more Wikibase extensions to gatedextensions

https://gerrit.wikimedia.org/r/459991

T86930 also ask for ContentTranslation to be added and T200976 is for Scribunto.

Copying my comment in gerrit:

Gate is already quite slow. Ideally we'd have every production extension and skin in here, but…

Addshore removed daniel as the assignee of this task.Sep 13 2018, 10:25 AM
Addshore moved this task from Backlog to Watching on the wikidata-tech-focus board.

Change 460080 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] QA report for gated extensions and their dependencies

https://gerrit.wikimedia.org/r/460080

Change 460080 merged by jenkins-bot:
[integration/config@master] QA report for gated extensions and their dependencies

https://gerrit.wikimedia.org/r/460080

I have created a dummy test that tracks whether dependencies of gated extensions are also in the gate https://gerrit.wikimedia.org/r/#/c/integration/config/+/460080/

The test is run daily and the test report is at https://integration.wikimedia.org/ci/job/integration-config-qa/lastBuild/testReport/ , that gives me failures such as:

Dependency of gated project is in gate: AbuseFilter ... ok
Dependency of gated project is in gate: AntiSpoof ... FAIL
Dependency of gated project is in gate: BetaFeatures ... FAIL
Dependency of gated project is in gate: Capiunto ... FAIL
Dependency of gated project is in gate: CentralAuth ... FAIL
Dependency of gated project is in gate: CheckUser ... ok
Dependency of gated project is in gate: CirrusSearch ... ok
Dependency of gated project is in gate: Cite ... FAIL
Dependency of gated project is in gate: CodeEditor ... FAIL
Dependency of gated project is in gate: Echo ... ok
Dependency of gated project is in gate: EducationProgram ... FAIL
Dependency of gated project is in gate: Elastica ... ok
Dependency of gated project is in gate: EventLogging ... ok
Dependency of gated project is in gate: Flow ... ok
Dependency of gated project is in gate: GeoData ... ok
Dependency of gated project is in gate: JsonConfig ... ok
Dependency of gated project is in gate: MobileApp ... ok
Dependency of gated project is in gate: MobileFrontend ... ok
Dependency of gated project is in gate: PdfHandler ... FAIL
Dependency of gated project is in gate: PropertySuggester ... FAIL
Dependency of gated project is in gate: Scribunto ... FAIL
Dependency of gated project is in gate: SiteMatrix ... ok
Dependency of gated project is in gate: SyntaxHighlight_GeSHi ... FAIL
Dependency of gated project is in gate: TimedMediaHandler ... ok
Dependency of gated project is in gate: UniversalLanguageSelector ... ok
Dependency of gated project is in gate: VisualEditor ... ok
Dependency of gated project is in gate: WikiEditor ... FAIL
Dependency of gated project is in gate: Wikibase ... ok
Dependency of gated project is in gate: WikibaseLexeme ... FAIL
Dependency of gated project is in gate: WikibaseMediaInfo ... FAIL
Dependency of gated project is in gate: WikibaseQuality ... FAIL
Dependency of gated project is in gate: WikibaseQualityConstraints ... FAIL
Dependency of gated project is in gate: WikimediaBadges ... FAIL
Dependency of gated project is in gate: ZeroBanner ... ok
Dependency of gated project is in gate: ZeroPortal ... ok
Dependency of gated project is in gate: cldr ... ok
Dependency of gated project is in gate: skins/MinervaNeue ... FAIL

This task covers a some of those cases.

Addshore moved this task from incoming to in progress on the Wikidata board.Sep 17 2018, 8:22 AM

Of the things I see in T204153#4580923 we should add:

  • WikimediaBadges (few or no tests, but deployed everywhere)
  • ArticlePlaceholder (see comment below)

Deployed on wikidata only, but would suck to break

  • Dependency of gated project is in gate: WikibaseLexeme ... FAIL
  • Dependency of gated project is in gate: WikibaseMediaInfo ... FAIL
  • Dependency of gated project is in gate: WikibaseQuality ... FAIL
  • Dependency of gated project is in gate: WikibaseQualityConstraints ... FAIL
  • Dependency of gated project is in gate: PropertySuggester ... FAIL

We also noticed that ArticlePlaceholder is not current run as part of the Wikibase CI but it probably should be.
We have filed T213815 and then that would also appear in this list of things are are not gated.

Change 480463 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Add WikibaseMediaInfo to gated extensions

https://gerrit.wikimedia.org/r/480463

Change 480463 had a related patch set uploaded (by Reedy; owner: Jforrester):
[integration/config@master] Add WikibaseMediaInfo to gated extensions

https://gerrit.wikimedia.org/r/480463

Change 480463 merged by jenkins-bot:
[integration/config@master] Add WikibaseMediaInfo to gated extensions

https://gerrit.wikimedia.org/r/480463

Change 504764 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Add WikibaseCirrusSearch to extension-gate

https://gerrit.wikimedia.org/r/504764

Change 504764 merged by jenkins-bot:
[integration/config@master] Add WikibaseCirrusSearch to extension-gate

https://gerrit.wikimedia.org/r/504764